#!/usr/bin/python3

from sklearn.preprocessing import StandardScaler
from sklearn.neural_network import MLPRegressor
from sklearn.metrics import classification_report, confusion_matrix
from sklearn.model_selection import train_test_split
import os,sys, numpy as np, pickle


ann = pickle.load(open('ann.pkl', 'rb'))

x_out = []
y_out = []
with open( "outside_test.txt" ) as f:
        for l in f:
                c = l.split()
                x_out.append( [ float(c[0]) ] )
                y_out.append( float(c[1]) )
                
p_out = ann.predict( x_out )

error = 0
with open( "outside_predictions.txt", 'w') as w:
        for x,y,z in zip( x_out, p_out, y_out):
                error += np.square( y-z) 
                print( x[0], y, z, file=w)
print( "error:", np.sqrt(error/len(x_out)))


