#!/usr/bin/python3

# import numerical python with alias 'np'
import numpy as np

####  SETTINGS  ##########
a = np.random.rand( 1000 )   
delta = 0.01  # 0.6 degree stepsize
steps = 11    # 11: 10 features used in training data, the last value is to be predicted
##########################


# open output file, 'w' means 'write' 
with open( "data.txt", 'w') as w:
    # loop over random values
    for x in a:
        x = 100*x - 50  # scale
        # for the random starting value x and 10 subsequent values calculate sinus
        for i in range(0,steps):
            z = x + i * delta
            print( np.sin(z), file=w, end=' ' ) 
        print( '', file=w)

        
# NOTE: only the sinus(z) values are stored, no reference to their location in z
